<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Właściwości pliku</title>
</head>
<body>
<?php

  if (!isset($_GET['plik'])) 
  {
     echo "Nie podano nazwy pliku.";
  } 
  else {
    $aktualny_kat='/sciezka/do/wyslane/';
    $plik=basename($_GET['plik']);  //usunięcie dla bezpieczeństwa informacji na temat katalogu

    $bezpieczny_plik = $aktualny_kat.$plik;

    echo '<h1>Właściwości pliku: '.$plik.'</h1>';
    echo 'Ostatnio otwarty: '.date('j F Y H:i', fileatime($bezpieczny_plik)).'<br>';
    echo  'Zmodyfikowany: '.date('j F Y H:i', filemtime($bezpieczny_plik)).'<br>';

    $uzytkownik=posix_getpwuid(fileowner($bezpieczny_plik));
    echo 'Właściciel pliku: '.$uzytkownik['name'].'<br>';

    $grupa=posix_getgrgid(filegroup($bezpieczny_plik));
    echo 'Grupa pliku: '.$grupa['name'].'<br>';

    echo 'Uprawnienia pliku: '.decoct(fileperms($bezpieczny_plik)).'<br>';
    echo 'Typ pliku: '.filetype($bezpieczny_plik).'<br>';
    echo 'Rozmiar pliku: '.filesize($bezpieczny_plik).'<br>';

    echo '<h2>Testy pliku</h2>';
    echo 'is_dir: '.(is_dir($bezpieczny_plik)? 'tak' : 'nie').'<br>';
    echo 'is_executable: '.(is_executable ($bezpieczny_plik)? 'tak' : 'nie').'<br>';
    echo 'is_file: '.(is_file($bezpieczny_plik)? 'tak' : 'nie').'<br>';
    echo 'is_link: '.(is_link($bezpieczny_plik)? 'tak' : 'nie').'<br>';
    echo 'is_readable: '.(is_readable($bezpieczny_plik)? 'tak' : 'nie').'<br>';
    echo 'is_writable: '.(is_writable($bezpieczny_plik)? 'tak' : 'nie').'<br>';
  }
?>
</body>
</html>
